---
search:
  tags:
    - Channels
    - DELETE
seo:
  description: >-
    Removes many products from a channel.… Reference for the DELETE
    /api/v1/{team_slug}/{app_slug}/channels/{channel_id}/products endpoint in
    the Management API.
sidebar:
  label: Bulk remove products from channel
  badge: DELETE
title: Bulk remove products from channel
type: openapi-operation
---
Removes many products from a channel. IDs that were not members go in `successful` (post-condition idempotent). Unknown product IDs go in `failed`.

`DELETE /api/v1/{team_slug}/{app_slug}/channels/{channel_id}/products`

**Request body** (`application/json`, required)

Product IDs to remove

- `product_ids` (string[], required)

Request body example:

```json
{
  "product_ids": [
    "string"
  ]
}
```

**Responses**

- `200` — Bulk remove result
- `400` — Invalid request
- `404` — Channel not found
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "failed": [
      {
        "id": "string",
        "reason": "string"
      }
    ],
    "successful": [
      {
        "channel_id": "string",
        "created_at": "string",
        "product_id": "string",
        "status": "string",
        "status_updated_at": "string"
      }
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}
```
